curl --request POST \
--url https://api.getcargo.io/v1/orchestration/nodes/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"node": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
},
"computedConfig": {},
"context": {},
"groupContext": {}
}
'{
"status": "<string>",
"message": "<string>"
}Execute a node
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/nodes/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"node": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
},
"computedConfig": {},
"context": {},
"groupContext": {}
}
'{
"status": "<string>",
"message": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema.
Workflow identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Release identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Node configuration.
Show child attributes
Computed node configuration.
Show child attributes
Execution context for the node.
Show child attributes
Group context for the node.
Show child attributes
Was this page helpful?